Bug 17222 - Remove use of onclick from OPAC member entry page
Summary: Remove use of onclick from OPAC member entry page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-29 23:22 UTC by Aleisha Amohia
Modified: 2017-06-14 22:14 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17222: Remove use of onclick from OPAC member entry page (1.81 KB, patch)
2016-08-29 23:23 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17222: Remove use of onclick from OPAC member entry page (1.91 KB, patch)
2016-08-30 14:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17222: Remove use of onclick from OPAC member entry page (1.93 KB, patch)
2016-09-07 10:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17222: Remove use of onclick from OPAC member entry page (1.93 KB, patch)
2016-09-07 10:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17222: Use jQuery selector instead (968 bytes, patch)
2016-09-07 10:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-08-29 23:22:29 UTC

    
Comment 1 Aleisha Amohia 2016-08-29 23:23:40 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-30 14:43:09 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-09-07 10:39:09 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-09-07 10:40:37 UTC
Created attachment 55289 [details] [review]
Bug 17222: Remove use of onclick from OPAC member entry page

There is only one instance on onclick here, and that is the clear date
function.

To test, make sure clicking 'Clear date' next to Date of Birth works the
same before and after the patch.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2016-09-07 10:40:41 UTC
Created attachment 55290 [details] [review]
Bug 17222: Use jQuery selector instead

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-09-09 11:53:42 UTC
Pushed to master for 16.11, thanks Aleisha, Jonathan!
Comment 7 Frédéric Demians 2016-09-13 06:55:48 UTC
Pushed in 16.05. Will be in 16.05.04.